summaryrefslogtreecommitdiff
path: root/fedi
diff options
context:
space:
mode:
authorBen Sima <ben@bsima.me>2021-12-15 13:08:10 -0500
committerBen Sima <ben@bsima.me>2021-12-15 13:08:10 -0500
commit8749935f4be2d685b6a77d8e31d4ce91726c12a3 (patch)
treedb1aded8c500c160cab9a26121b81062da512f5d /fedi
parentca1349154510aa4fd693d81a47db90fd8ab46ad0 (diff)
simple fedi script
Diffstat (limited to 'fedi')
-rwxr-xr-xfedi14
1 files changed, 14 insertions, 0 deletions
diff --git a/fedi b/fedi
new file mode 100755
index 0000000..96e7755
--- /dev/null
+++ b/fedi
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+#
+ set -eou pipefail
+ timeline=${1:-home}
+ endpoint="https://bitcoinhackers.org"
+#
+ curl -sL \
+ -H "Authorization: Bearer i-baQt_tYmJ_NA8F4VcXBe2x1ZLaOBvRayHhzYzEP3Y" \
+ "$endpoint/api/v1//timelines/$timeline" \
+ | jq -r '.[] | [.account.username, .content] | @tsv' \
+ | sed 's,<[^>]*>,,g' \
+ | column --table --separator $'\t' --table-wrap 2 --output-width 80 \
+ | sed 's,$,\n,g'
+#